GNU bug report logs - #644
diary-anniversary to optionally show "negative" anniversaries for future events

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: weg@HIDDEN (Eythan Weg); Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 644 <at> debbugs.gnu.org and weg@HIDDEN (Eythan Weg) Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 644 <at> debbugs.gnu.org:


Received: (at 644) by debbugs.gnu.org; 5 Dec 2021 19:48:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 14:48:22 2021
Received: from localhost ([127.0.0.1]:59521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtxUk-0003BE-LE
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 14:48:22 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55198)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mtxUj-0003Al-9l
 for 644 <at> debbugs.gnu.org; Sun, 05 Dec 2021 14:48:21 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kkhwa+wZDjYVyJDsOxIn5nvggyBEu3gynQu1QwWwBec=; b=IH9C4Mg/e3/XqBksx2BGj9Ow8u
 4SPrlGdfziRQsOWNUHWn8F5MqpqDk9MwQ+AIrqQ++ShvLDKBvjgXPKLEANK7Yb89HzN5FvevZNsN4
 HeakOAzMN/V714DURzbvnY7xdKGLOs8jUBJha1PRYWHOTCgcJJRiFG7IE+ZXRmsUvAb8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mtxUZ-0002I9-8C; Sun, 05 Dec 2021 20:48:13 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#644: diary-anniversary to optionally show "negative"
 anniversaries for future events
References: <mailman.15817.1217827742.18990.bug-gnu-emacs@HIDDEN>
 <8563qgii0i.fsf@HIDDEN> <87pronlco6.fsf@HIDDEN>
 <87pmqcyrdn.fsf_-_@HIDDEN> <87h7bohr8v.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUmIiSMfHPIwr//
 ///XfD68AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UMBRMvJqYCnRsAAAGPSURBVCjPRdFBa6NAFAfw
 l1KH6MmCKepJignqp3BDG8KeTFGpPZlFhySfws0hbHMyIUrrKQYDOp9ynTG2c5of/5nHezwAmKtW
 rRZRAvTMeasWSJTeMPkUiBG2VxuGCq5/IONVC+2GPzXamD0u9cxSpG/4E0Vm1Rjw72GPBuE9/53c
 rfcvHYwW9X72g8/dlkE2LtHg33HbJxF8XLZ2h6MOX8sDg2QetQHR06RDrklYP9+w0yVs9MjNNX4L
 HQrRzK0m/tAZNL3YuKsvo0f8Vy7YqKCFTQVyrnRYBCkMXwUG0ePPwD/NJJYEoxOgyW7eYVECsrbP
 FOPGPwBSpvcUavayhJHnMSjXaZk8ZSZHwV1f63B5eJ9S3JF0gJ6VIqdAxAX/hEhD0S7KsU6P5I2h
 iVMhfSQVQ3A9ocQnZwreKzMhCQhbKsrLbPbL6yD4ZbEYeBv2R30PC4dbWyxRg2UWcat2DtpbIHoV
 RDHD2JViByrMno1BenAWFWYFrnD/YCN3lFFkYEsguCKbxwUYiYpjc/Afhu+BQQa9QocAAAAldEVY
 dGRhdGU6Y3JlYXRlADIwMjEtMTItMDVUMTk6NDc6MzgrMDA6MDCFwShyAAAAJXRFWHRkYXRlOm1v
 ZGlmeQAyMDIxLTEyLTA1VDE5OjQ3OjM4KzAwOjAw9JyQzgAAAABJRU5ErkJggg==
X-Now-Playing: Peter Gabriel's _Peter Gabriel 2_: "D.I.Y."
Date: Sun, 05 Dec 2021 20:48:09 +0100
In-Reply-To: <87h7bohr8v.fsf@HIDDEN> (Michael Heerdegen's message of "Sun, 05
 Dec 2021 00:42:08 +0100")
Message-ID: <87tufmrfye.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > Lars
 Ingebrigtsen <larsi@HIDDEN> writes: > >> I'm not sure I understand the
 problem here. As far as I can tell, it's >> fine to insert a future birthday.
 > > And when you don't know the year `diar [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 644
Cc: "Edward M. Reingold" <reingold@HIDDEN>, 644 <at> debbugs.gnu.org,
 Eythan Weg <weg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> I'm not sure I understand the problem here.  As far as I can tell, it's
>> fine to insert a future birthday.
>
> And when you don't know the year `diary-anniversary' expressions work
> without specifying a year too (since Emacs 22 or so).

I see.  Then I guess there's nothing to do here in this bug report, and
I'm closing it.  (If this is a mistake, please respond to the debbugs
address and we'll reopen.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#644; Package emacs. Full text available.

Message received at 644 <at> debbugs.gnu.org:


Received: (at 644) by debbugs.gnu.org; 4 Dec 2021 23:42:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 18:42:29 2021
Received: from localhost ([127.0.0.1]:55706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtefl-0007fv-AI
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 18:42:29 -0500
Received: from mout.web.de ([212.227.15.14]:59369)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1mtefj-0007fa-8t
 for 644 <at> debbugs.gnu.org; Sat, 04 Dec 2021 18:42:27 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1638661330;
 bh=i2MMI8GhmKO70SrLALJoipxSuc9Byirl81+hArhVh90=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=KwrsJmZdZzn4wVxylX+kWAREtpnP7fsgqCkuZp12bjYm6Ip+oQyTxlt4eVDd+ZDTp
 oR9/pnVOol5wZBsQniolxBs1i31Fd+DmB135ken2daSq4wPwZhsUNzv+PdhyJgbm+A
 1JeqJrYyw5aP5LXEdMVtyHaXe5P67Gr6NaWRDHbk=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.225.87]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1Mo6O7-1mCq0P0GUt-00pYKq; Sun, 05
 Dec 2021 00:42:10 +0100
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#644: diary-anniversary to optionally show "negative"
 anniversaries for future events
References: <mailman.15817.1217827742.18990.bug-gnu-emacs@HIDDEN>
 <8563qgii0i.fsf@HIDDEN> <87pronlco6.fsf@HIDDEN>
 <87pmqcyrdn.fsf_-_@HIDDEN>
Date: Sun, 05 Dec 2021 00:42:08 +0100
In-Reply-To: <87pmqcyrdn.fsf_-_@HIDDEN> (Lars Ingebrigtsen's message of
 "Sat, 04 Dec 2021 22:47:16 +0100")
Message-ID: <87h7bohr8v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:HjExp2cg3n90aYrciwdbv1+fXj3auEJbNMXtTZ9SLk5LYyWwiiT
 bk20qQdL8u0jLSxVSqcg/6JimKXBr5cVMuE4cupkZWVxXA7rEZ4awvilkqOGnNb8klqiq2l
 8RZe/y4Vo2wNJ2AEIvxuhEuGY6Of7zpP5nHnx+Bscgz0FWTyGeCLcqpmQ0Ss1zAS13B7U2r
 npoZkAV4AV7LapD04mSbw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:GmRc1/g189c=:E3/6ACC5t2edq16WyayR5/
 OhUakp33gEmof7o6EUL97++O/fPPcGb9CgC3DZ3fRhiWHLhO1tZC7rL7kEzmUtC49Y6qJR+NT
 DXXKr+cKFOAck+TtAuyVi8oBE4iFQwRITYQGB58PHXYx8fir5lB5C6HcjIY5E/xLvtnhqDVVk
 HSM2GcWhRIjpUENxulLk3BKPej2Dp5kGEgLfaizASdligFskbOEwJ77BNU+ntDZqvvaCasedb
 yaK+LQLWX897Sbq2OWEXzK/5LI6jaA8kFlAgAlesv70ct2Gu0Yz2woUbicQagSmHcHrqG3XFu
 tPt2lJ3Ree9XV/Xm7LNwKiifU9RG7qQh3iosyilDXXkO5ivOLOZM6JAQfbkQZZ8R5M711Djgx
 P7i8HFE0v9NZDbpfWmKKlSQQFUpUxff+EACSTcPbT08ir8k/p7V1iUPNUNMbQHsrdvXKHSBT2
 gLCBsaabBy5mW0Pw+vSG+Prgc3GGMEUa41WMAkTjMRNRX20GVAG0moGOekFdCFVD49kjr7v06
 cXyjoHH+iK5IRg8pLIPV/S6KAK36oH8oDusCk7Sc3vgDq81GYU/ukGRfhoXm44Zy2L7NVBpm7
 Us0dK5dJ3VwC7ear5J6czmaGRvOUx6GMM4R0agVNjYHvtR0fkctbJ/90Q4Dz9VqbLFh3DdHxI
 N3AUrsckkiGnXkFgA/6HuX9NKJ46XRHlG5rQpEgvl/jnFCFTgeX3tZEpSM8Qn46gUacv2CeLq
 3YNRB4rvsVbm5GzpzwmmH4ijZTOHgCfMe753gh06xAYWsDtJXpp+99zgg6HflRqRYAt6LnkNx
 4JOjLgEVcIYTB6zYUZNyZa4hzlzzeYtUvv2yK8n8VFsQsnsUJv07zWAFnxFzGAg1/uFRWESKe
 TepwvSh26bBACmB88sKEyDWW5AxJn2qk8nqmsiJq+9Ntbpr2JQHtU9Cc3yEscW10UaOZ/zxwK
 uwmZDYBZ7LOEybL4NVSdrZ1dcNpHZJo8Vz3YYlW1QbiGUPC3KXAJbFZl4PgP3qcXU9WTH+vea
 vBU1OKWY8Z2lGw5M8czIEBYhTpbX+L5DdLFaP0ZouW2ghLqB+tyluWiMapBcHFQDzfvoLpJgl
 MMn9xWYfBBXEbc=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 644
Cc: "Edward M. Reingold" <reingold@HIDDEN>, 644 <at> debbugs.gnu.org,
 Eythan Weg <weg@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'm not sure I understand the problem here.  As far as I can tell, it's
> fine to insert a future birthday.

And when you don't know the year `diary-anniversary' expressions work
without specifying a year too (since Emacs 22 or so).

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#644; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 644 <at> debbugs.gnu.org:


Received: (at 644) by debbugs.gnu.org; 4 Dec 2021 21:47:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 16:47:31 2021
Received: from localhost ([127.0.0.1]:55503 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtcsU-0003Ps-Q8
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 16:47:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:41876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mtcsS-0003PM-Kv
 for 644 <at> debbugs.gnu.org; Sat, 04 Dec 2021 16:47:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=fyAvbBJ3peyTttFXC9lhe9QbUeYXncmGbNYUUo+GoKs=; b=BvyvTZTZNlQAeee1/JAutUVn81
 1ETTzXREJ/leU9L/HCLTmBuUy2Lgc4Us3fWWctmh+c+bBTEmXGBbyLAkLopFjCX4bVhtpDdkn0PcS
 93LRbvA3L2qM+5r6cEh+cQQxgcTIRKjmkQw6QpT1ppApkpmxvRpeayBg+DYRGp0nODAA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mtcsH-0000my-LZ; Sat, 04 Dec 2021 22:47:20 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: weg@HIDDEN (Eythan Weg)
Subject: Re: bug#644: diary-anniversary to optionally show "negative"
 anniversaries for future events
References: <mailman.15817.1217827742.18990.bug-gnu-emacs@HIDDEN>
 <8563qgii0i.fsf@HIDDEN> <87pronlco6.fsf@HIDDEN>
X-Now-Playing: Joni Mitchell's _The Hissing Of Summer Lawns_: "Harry's
 House-Centerpiece"
Date: Sat, 04 Dec 2021 22:47:16 +0100
In-Reply-To: <87pronlco6.fsf@HIDDEN> (Eythan Weg's message of "Tue, 05
 Aug 2008 11:11:21 -0400")
Message-ID: <87pmqcyrdn.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: weg@HIDDEN (Eythan Weg) writes: > Makes sense. I have
 not noticed my error because > normally I know the start year. My error
 stemmed
 > from using the menu to insert an anniversary while > the cursor in the
 calendar buffer is on the [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 644
Cc: "Edward M. Reingold" <reingold@HIDDEN>, 644 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

weg@HIDDEN (Eythan Weg) writes:

> Makes sense.  I have not noticed my error because
> normally I know the start year.  My error stemmed
> from using the menu to insert an anniversary while
> the cursor in the calendar buffer is on the
> correct day and month of the current year (the
> current year because the correct year was not
> known, a common occurrence in regard to age).
>
> Would it be wrong to allow future birth days in
> diary-anniversary, so past and future are
> symmetric?

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm not sure I understand the problem here.  As far as I can tell, it's
fine to insert a future birthday.  I tried:

%%(diary-anniversary 12 14 2021) X's Birthday 

And then the 14th of December 2022 had that date marked.  (We're not
marking the 0th anniversary.)

But I may be misunderstanding what this report is about.  Do you have a
recipe, starting from "emacs -Q", that demonstrates the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#644; Package emacs. Full text available.
Changed bug title to 'diary-anniversary to optionally show \"negative\" anniversaries for future events' from '23.0.60; diary-anniversary failure' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs,calendar' to 'emacs'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Removed annotation that bug was owned by Glenn Morris <rgm@HIDDEN>. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package `emacs' to `emacs,calendar'. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
Owner recorded as Glenn Morris <rgm@HIDDEN>. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
Severity set to `wishlist' from `normal' Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=4.0 tests=BAYES_00,DATE_IN_PAST_06_12,
	HAS_BUG_NUMBER,RCVD_IN_DNSWL_LOW autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 6 Aug 2008 01:15:13 +0000
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m761F7kT005589
	for <submit@HIDDEN>; Tue, 5 Aug 2008 18:15:09 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1KQXcI-0004ZI-W9
	for bug-gnu-emacs@HIDDEN; Tue, 05 Aug 2008 21:15:07 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1KQXcI-0004WW-03
	for bug-gnu-emacs@HIDDEN; Tue, 05 Aug 2008 21:15:06 -0400
Received: from [199.232.76.173] (port=60098 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1KQXcH-0004W8-Ll
	for bug-gnu-emacs@HIDDEN; Tue, 05 Aug 2008 21:15:05 -0400
Received: from main.gmane.org ([80.91.229.2]:32992 helo=ciao.gmane.org)
	by monty-python.gnu.org with esmtps (TLS-1.0:RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>)
	id 1KQXcH-0000JR-Eh
	for bug-gnu-emacs@HIDDEN; Tue, 05 Aug 2008 21:15:05 -0400
Received: from root by ciao.gmane.org with local (Exim 4.43)
	id 1KQXcF-00055a-7T
	for bug-gnu-emacs@HIDDEN; Wed, 06 Aug 2008 01:15:03 +0000
Received: from c-98-223-90-29.hsd1.in.comcast.net ([98.223.90.29])
        by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
        id 1AlnuQ-0007hv-00
        for <bug-gnu-emacs@HIDDEN>; Wed, 06 Aug 2008 01:15:03 +0000
Received: from weg by c-98-223-90-29.hsd1.in.comcast.net with local (Gmexim 0.1 (Debian))
        id 1AlnuQ-0007hv-00
        for <bug-gnu-emacs@HIDDEN>; Wed, 06 Aug 2008 01:15:03 +0000
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: weg@HIDDEN (Eythan Weg)
Subject: Re: bug#644: 23.0.60; diary-anniversary failure
Date: Tue, 05 Aug 2008 11:11:21 -0400
Lines: 39
Message-ID: <87pronlco6.fsf@HIDDEN>
References: <mailman.15817.1217827742.18990.bug-gnu-emacs@HIDDEN>
	<8563qgii0i.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Complaints-To: usenet@HIDDEN
Cc: reingold@HIDDEN (Edward M. Reingold)
X-Gmane-NNTP-Posting-Host: c-98-223-90-29.hsd1.in.comcast.net
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
Cancel-Lock: sha1:2AGE3FFgac42KRkAWmlWP7bPYIg=
Sender: news <news@HIDDEN>
X-detected-kernel: by monty-python.gnu.org: Linux 2.6, seldom 2.4 (older, 4)


Makes sense.  I have not noticed my error because
normally I know the start year.  My error stemmed
from using the menu to insert an anniversary while
the cursor in the calendar buffer is on the
correct day and month of the current year (the
current year because the correct year was not
known, a common occurrence in regard to age).

Would it be wrong to allow future birth days in
diary-anniversary, so past and future are
symmetric?

Thank you.

Eythan Weg

reingold@HIDDEN (Edward M. Reingold)
04 Aug 2008 16:31:57 -0500

   >>>>> "EW" == Eythan Weg <weg@HIDDEN> writes:
   
       EW> emacs -Q M-: (setq diary-file "~/dd")
       EW> the content of dd is:
       EW> %%(diary-anniversary 11 14 2008) Y's Birthday %%(diary-anniversary 1
       EW> 14 2008) X's Birthday
   
       EW> Start the calendar.  Check the diary for the two dates.  The first
       EW> anniversary fails to show.  The second works.
   
   Where is the cursor (what date)?  The 0th anniversary will never appear.
   -- 
   
   Professor Edward M. Reingold                Email: reingold@HIDDEN
   Department of Computer Science              Voice: (312) 567-3309
   Illinois Institute of Technology            Fax:   (312) 567-5067
   Stuart Building, 228F
   10 West 31st Street
   Chicago, IL  60616-3729  U.S.A.






Acknowledgement sent to weg@HIDDEN (Eythan Weg):
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#644; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-3.0 required=4.0 tests=BAYES_50,HAS_BUG_NUMBER,
	RCVD_IN_DNSWL_LOW autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 4 Aug 2008 21:32:20 +0000
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m74LWGIQ016311
	for <submit@HIDDEN>; Mon, 4 Aug 2008 14:32:18 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1KQ7f6-0002jh-G8
	for bug-gnu-emacs@HIDDEN; Mon, 04 Aug 2008 17:32:16 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1KQ7f5-0002jN-Mz
	for bug-gnu-emacs@HIDDEN; Mon, 04 Aug 2008 17:32:16 -0400
Received: from [199.232.76.173] (port=44927 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1KQ7f5-0002jK-IZ
	for bug-gnu-emacs@HIDDEN; Mon, 04 Aug 2008 17:32:15 -0400
Received: from moderators.individual.net ([130.133.4.7]:34597)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <news@HIDDEN>)
	id 1KQ7f4-0001JS-RX
	for bug-gnu-emacs@HIDDEN; Mon, 04 Aug 2008 17:32:15 -0400
Received: from clortho.acm.uiuc.edu ([128.174.251.17])
          by moderators.individual.net (Exim 4.69)
          for gnu-emacs-bug@HIDDEN with esmtp
          (envelope-from <news@HIDDEN>)
          id <1KQ7f3-00040T-HY>; Mon, 04 Aug 2008 23:32:13 +0200
Received: from news.acm.uiuc.edu ([128.174.251.6])
	by clortho.acm.uiuc.edu with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.63)
	(envelope-from <news@HIDDEN>)
	id 1KQ7ez-0004Ow-QL
	for gnu-emacs-bug@HIDDEN; Mon, 04 Aug 2008 16:32:10 -0500
Received: (from news@localhost)
	by news.acm.uiuc.edu (8.13.8+Sun/8.13.8/Submit) id m74LW8Qa018469
	for gnu-emacs-bug@HIDDEN; Mon, 4 Aug 2008 16:32:08 -0500 (CDT)
To: gnu-emacs-bug@HIDDEN
Path: not-for-mail
From: reingold@HIDDEN (Edward M. Reingold)
Newsgroups: gnu.emacs.bug
Subject: Re: bug#644: 23.0.60; diary-anniversary failure
Date: 04 Aug 2008 16:31:57 -0500
Organization: Usenet @ UIUC - http://www.acm.uiuc.edu/news/
Lines: 19
Sender: reingold@HIDDEN
Message-ID: <8563qgii0i.fsf@HIDDEN>
References: <mailman.15817.1217827742.18990.bug-gnu-emacs@HIDDEN>
NNTP-Posting-Host: emr.cs.iit.edu
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Trace: news.acm.uiuc.edu 1217885528 18321 216.47.142.126 (4 Aug 2008 21:32:08 GMT)
X-Complaints-To: news@HIDDEN
NNTP-Posting-Date: Mon, 4 Aug 2008 21:32:08 +0000 (UTC)
Cc: weg@HIDDEN
User-Agent: Gnus/5.09 (Gnus v5.9.0) Emacs/21.4
X-Authenticated-Sender: 
X-detected-kernel: by monty-python.gnu.org: Linux 2.6 (newer, 3)

>>>>> "EW" == Eythan Weg <weg@HIDDEN> writes:

    EW> emacs -Q M-: (setq diary-file "~/dd")
    EW> the content of dd is:
    EW> %%(diary-anniversary 11 14 2008) Y's Birthday %%(diary-anniversary 1
    EW> 14 2008) X's Birthday

    EW> Start the calendar.  Check the diary for the two dates.  The first
    EW> anniversary fails to show.  The second works.

Where is the cursor (what date)?  The 0th anniversary will never appear.
-- 

Professor Edward M. Reingold                Email: reingold@HIDDEN
Department of Computer Science              Voice: (312) 567-3309
Illinois Institute of Technology            Fax:   (312) 567-5067
Stuart Building, 228F
10 West 31st Street
Chicago, IL  60616-3729  U.S.A.





Acknowledgement sent to reingold@HIDDEN (Edward M. Reingold):
Extra info received and forwarded to list. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Information forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#644; Package emacs. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-7.9 required=4.0 tests=BAYES_00,FOURLA,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 3 Aug 2008 17:03:33 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m73H3TR4028486
	for <submit@HIDDEN>; Sun, 3 Aug 2008 10:03:30 -0700
Received: from mail.gnu.org ([199.232.76.166]:35014 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <weg@HIDDEN>)
	id 1KPgyT-0004sZ-ID
	for emacs-pretest-bug@HIDDEN; Sun, 03 Aug 2008 13:02:30 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <weg@HIDDEN>)
	id 1KPgzF-00073z-GY
	for emacs-pretest-bug@HIDDEN; Sun, 03 Aug 2008 13:03:26 -0400
Received: from indiscrete.org ([69.55.229.89]:56204)
	by monty-python.gnu.org with smtp (Exim 4.60)
	(envelope-from <weg@HIDDEN>)
	id 1KPgzE-0006oQ-2r
	for emacs-pretest-bug@HIDDEN; Sun, 03 Aug 2008 13:03:17 -0400
Received: (qmail 12829 invoked from network); 3 Aug 2008 10:02:59 -0700
Received: from unknown (HELO indiscrete.org) (10.8.0.6)
  by 10.8.0.1 with SMTP; 3 Aug 2008 10:02:59 -0700
Received: (qmail 22752 invoked by uid 1000); 3 Aug 2008 13:02:58 -0400
From: weg@HIDDEN (Eythan Weg)
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.60; diary-anniversary failure
Date: Sun, 03 Aug 2008 13:02:58 -0400
Message-ID: <87iquidoal.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-detected-kernel: by monty-python.gnu.org: Linux 2.4-2.6


Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the emacs-pretest-bug@HIDDEN mailing list.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:



emacs -Q
M-: (setq diary-file "~/dd")

the content of dd is:

%%(diary-anniversary 11 14 2008) Y's Birthday 
%%(diary-anniversary 1 14 2008) X's Birthday 

Start the calendar.  Check the diary for the two
dates.  The first anniversary fails to show.  The
second works.

Thanks,  Eythan


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/home/weg/sources/emacs/etc/DEBUG for instructions.


In GNU Emacs 23.0.60.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.12.10)
 of 2008-08-03 on gauss
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--enable-font-backend''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  shell-dirtrack-mode: t
  recentf-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  display-time-mode: t
  auto-image-file-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
C-s f i s <return> <return> M-x g n u s <return> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<left> <left> <left> <left> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> C-u 3 0 <return> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <return> <down> <return> <down> <return> 
<down> <return> <up> <up> <up> <up> <up> <up> <up> 
<up> <return> SPC <backspace> <down> <return> <backspace> 
<up> <up> <return> SPC SPC <backspace> SPC <down> <down> 
<up> <return> M-x e m a c s - v TAB <return> M-x C-g 
C-g C-h f e m a c s - v e TAB <return> <help-echo> 
<down-mouse-2> <mouse-2> <help-echo> <down-mouse-2> 
<mouse-2> <help-echo> <down-mouse-2> <mouse-2> <help-echo> 
<help-echo> <help-echo> <help-echo> <down-mouse-1> 
<mouse-1> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <return> <down> <up> <up> 
<return> <down> <return> <down> <return> SPC <backspace> 
M-x b u g TAB <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> r e p o TAB C-g C-g C-h f r e p o r t - 
e m TAB b TAB <return> M-x r e p o TAB r TAB b u g 
<return> a n n i v e r s a r y SPC <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
C-g M-c c <backspace> C-g C-g M-x c a l e TAB <return> 
<menu-bar> <Diary> <Insert Anniversary> C-x b <return> 
M-x r e p o TAB r TAB e m TAB <backspace> <backspace> 
<backspace> - b u TAB <return>

Recent messages:
Making completion list...
Quit [2 times]
Type C-x 4 C-o RET to restore the other window.
Making completion list...
Quit
call-interactively: Buffer is read-only: #<buffer *Summary nntp+news.gmane.org:gmane.emacs.pretest.bugs*>
Mark all unread articles as read? (y or n) 
Quit [2 times]
Mark set
Making completion list...




Acknowledgement sent to weg@HIDDEN (Eythan Weg):
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#644; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 5 Dec 2021 20:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.